Skip to main content
PATCH
/
v1
/
emails
curl --request PATCH \
  --url https://brew.new/api/v1/emails \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emailId": "eml_x",
  "prompt": "Tighten the headline."
}
'
{
  "emailId": "email_2SmZOWV3ZQ7W5x6g3m4p",
  "emailVersionId": "emv_2SmZOWV3ZQ7W5x6g3m4p_v1",
  "emailHtml": "<!DOCTYPE html><html><body>Welcome to Brew.</body></html>",
  "emailPng": "https://storage.example.com/emails/email_2SmZOWV3ZQ7W5x6g3m4p.png"
}

Authorizations

Authorization
string
header
default:Bearer brew_your_api_key
required

Send your Brew API key as Authorization: Bearer brew_xxx.

Headers

Idempotency-Key
string

Optional idempotency key for safe retries. Reusing the same key with the same request body returns the original response for 24 hours.

Required string length: 1 - 100

Body

application/json
emailId
string
required
Required string length: 1 - 64
prompt
string
required
Minimum string length: 1
emailVersionId
string
Required string length: 1 - 64
contentUrls
string<uri>[]
Maximum array length: 8
contentUrl
string<uri>

Response

Updated / restored email artifact.

emailId
string
required
Minimum string length: 1
emailVersionId
string
required
Minimum string length: 1
emailHtml
string
required
emailPng
string<uri>